load('/home/jph/Uni/masterarbeit/data/AO1.mat');

NFFT=2048;
cutWindowEEG=2;
window=0.2;
shift=0.05;
k=10;
maxExpC=7;

%[ splitSignals, code ] = cutMovements( stimulusCodes, signal );
[ splitSignals, code ] = cutSingleWindow( stimulusCodes, signal, params, cutWindowEEG );

%trainingData has format trial x ch x powerSpectrum
[trainingDataEEG,trainingDataEMG]=generateTrainingData(splitSignals,NFFT,window,shift,params,cutWindowEEG);

%%classify for different movements and rest
%classification=zeros(size(code));
% for i=1:size(code)
%     if code(i)<=5
%         classification(i)=code(i);
%     else
%         classification(i)=0;
%     end
% end


%classify for move/rest
% can't use cutMovements then
classification=double(code<=5);
